Hyperic HQ Plugin API v. 2.5.dev

## Package net.hyperic.util.config

Class Summary
ArrayConfigOption: A class that provides multi-valued config options.
BooleanConfigOption
ConfigOption
ConfigResponse
ConfigSchema
DirArrayConfigOption
DirConfigOption
DoubleConfigOption
EnumerationConfigOption
HiddenConfigOption
IntegerArrayConfigOption
IntegerConfigOption
IpAddressConfigOption
LongConfigOption
MacAddressConfigOption
MulticastIpAddressConfigOption
PortConfigOption
RegexArrayConfigOption
StringArrayConfigOption
StringConfigOption
YesNoConfigOption

Exception Summary
InvalidOptionException
InvalidOptionValueException

Hyperic HQ Plugin API v. 2.5.dev

Copyright © 2004-2005 Hyperic LLC support@hyperic.net, All Rights Reserved.